about summary refs log tree commit diff
path: root/test/pamrecolor.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2021-03-27 19:16:06 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2021-03-27 19:16:06 +0000
commitfcfa49ef6735be96386bda87bab2d0976475f585 (patch)
treefccbaafc41fb0f98682d4d48f7ff584bdbb81904 /test/pamrecolor.test
parenta7fca291a0c78333da13e855bdb73aa819ba8649 (diff)
downloadnetpbm-mirror-fcfa49ef6735be96386bda87bab2d0976475f585.tar.gz
netpbm-mirror-fcfa49ef6735be96386bda87bab2d0976475f585.tar.xz
netpbm-mirror-fcfa49ef6735be96386bda87bab2d0976475f585.zip
Promote Development to Advanced, Release 10.94.00
git-svn-id: http://svn.code.sf.net/p/netpbm/code/advanced@4076 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/pamrecolor.test')
-rwxr-xr-xtest/pamrecolor.test43
1 files changed, 43 insertions, 0 deletions
diff --git a/test/pamrecolor.test b/test/pamrecolor.test
new file mode 100755
index 00000000..cc79a124
--- /dev/null
+++ b/test/pamrecolor.test
@@ -0,0 +1,43 @@
+#! /bin/bash
+# This script tests: pamrecolor
+# Also requires: ppmtopgm pgmmake
+
+tmpdir=${tmpdir:-/tmp}
+base_pgm=${tmpdir}/base.pgm
+
+pgmmake 0.5 230 150 > ${base_pgm}
+
+echo "Test 1. Should produce 3500040755 101532"
+
+pamrecolor --colorfile=${base_pgm} testimg.ppm | cksum
+
+echo "Test 2. Should produce 3500040755 101532 twice"
+
+pamrecolor --targetcolor=rgb:80/80/80 testimg.ppm | cksum
+pamrecolor --colorspace=ntsc --targetcolor=rgb:80/80/80 testimg.ppm | cksum
+
+
+test_out=${tmpdir}/test_out
+truncated_file=${tmpdir}/truncated.txt
+echo P6 > ${truncated_file}
+
+echo 1>&2
+echo "Invalid command-line argument combinations." 1>&2
+echo "Error messages should appear below the line." 1>&2
+echo "-----------------------------------------------------------" 1>&2
+
+pamrecolor --targetcolor=rgb:00/11/22 --colorfile={base1_pgm} testimg.ppm > ${test_out} || \
+   echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+pamrecolor --rmult=0.3  --gmult=0.3  --bmult=0.3 --colorfile={base1_pgm} testimg.ppm > ${test_out} || \
+   echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+pamrecolor --colorspace=void --targetcolor=rgb:80/80/80 testimg.ppm > ${test_out} || \
+   echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
+pamrecolor --targetcolor=vague testimg.ppm > ${test_out} || \
+   echo -n "Expected failure 4"; test -s ${test_out}; echo " "$?
+pamrecolor --colorfile=${truncated_file} testimg.ppm > ${test_out} || \
+   echo -n "Expected failure 5"; test -s ${test_out}; echo " "$?
+pamrecolor --rmult=0.2989 --gmult=0.5866 testimg.ppm > ${test_out} || \
+   echo -n "Expected failure 6"; test -s ${test_out}; echo " "$?
+
+
+rm ${base_pgm} ${test_out} ${truncated_file}
\ No newline at end of file